## org.apache.commons.math
Class FunctionEvaluationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.math.MathException
                  org.apache.commons.math.FunctionEvaluationException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ArgumentOutsideDomainException

    public class FunctionEvaluationException

extends MathException

Exception thrown when an error occurs evaluating a function.

Maintains an `argument` property holding the input value that caused the function evaluation to fail.

Version:
  $Revision: 885278 $ $Date: 2009-11-29 16:47:51 -0500 (Sun, 29 Nov 2009) $
See Also:
  Serialized Form

Field Summary
`private double[]` `argument` Argument causing function evaluation failure
`private static java.lang.String` `FAILED_EVALUATION_MESSAGE` Message for failed evaluation.
`private static long` `serialVersionUID` Serializable version identifier.

Constructor Summary
`FunctionEvaluationException(double argument)` Construct an exception indicating the argument value that caused the function evaluation to fail.
`FunctionEvaluationException(double[] argument)` Construct an exception indicating the argument value that caused the function evaluation to fail.
`FunctionEvaluationException(double[] argument, java.lang.String pattern, java.lang.Object... arguments)` Constructs an exception with specified formatted detail message.
`FunctionEvaluationException(double argument, java.lang.String pattern, java.lang.Object... arguments)` Constructs an exception with specified formatted detail message.
`FunctionEvaluationException(java.lang.Throwable cause, double argument)` Constructs an exception with specified root cause.
`FunctionEvaluationException(java.lang.Throwable cause, double[] argument)` Constructs an exception with specified root cause.
`FunctionEvaluationException(java.lang.Throwable cause, double[] argument, java.lang.String pattern, java.lang.Object... arguments)` Constructs an exception with specified formatted detail message and root cause.
`FunctionEvaluationException(java.lang.Throwable cause, double argument, java.lang.String pattern, java.lang.Object... arguments)` Constructs an exception with specified formatted detail message and root cause.

Method Summary
`double[]` `getArgument()` Returns the function argument that caused this exception.

Methods inherited from class org.apache.commons.math.MathException
`getArguments, getLocalizedMessage, getMessage, getMessage, getPattern, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version identifier.

  See Also:
    Constant Field Values

### FAILED_EVALUATION_MESSAGE

    private static final java.lang.String FAILED_EVALUATION_MESSAGE

  Message for failed evaluation.

  See Also:
    Constant Field Values

### argument

    private double[] argument

  Argument causing function evaluation failure

Constructor Detail

### FunctionEvaluationException

    public FunctionEvaluationException(double argument)

  Construct an exception indicating the argument value that caused the function evaluation to fail.

  Parameters:
    `argument` - the failing function argument

### FunctionEvaluationException

    public FunctionEvaluationException(double[] argument)

  Construct an exception indicating the argument value that caused the function evaluation to fail.

  Parameters:
    `argument` - the failing function argument
  Since:
    2.0

### FunctionEvaluationException

    public FunctionEvaluationException(double argument,
                                       java.lang.String pattern,
                                       java.lang.Object... arguments)

  Constructs an exception with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `argument` - the failing function argument
    `pattern` - format specifier
    `arguments` - format arguments
  Since:
    1.2

### FunctionEvaluationException

    public FunctionEvaluationException(double[] argument,
                                       java.lang.String pattern,
                                       java.lang.Object... arguments)

  Constructs an exception with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `argument` - the failing function argument
    `pattern` - format specifier
    `arguments` - format arguments
  Since:
    2.0

### FunctionEvaluationException

    public FunctionEvaluationException(java.lang.Throwable cause,
                                       double argument)

  Constructs an exception with specified root cause. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `cause` - the exception or error that caused this exception to be thrown
    `argument` - the failing function argument
  Since:
    1.2

### FunctionEvaluationException

    public FunctionEvaluationException(java.lang.Throwable cause,
                                       double[] argument)

  Constructs an exception with specified root cause. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `cause` - the exception or error that caused this exception to be thrown
    `argument` - the failing function argument
  Since:
    2.0

### FunctionEvaluationException

    public FunctionEvaluationException(java.lang.Throwable cause,
                                       double argument,
                                       java.lang.String pattern,
                                       java.lang.Object... arguments)

  Constructs an exception with specified formatted detail message and root cause. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `cause` - the exception or error that caused this exception to be thrown
    `argument` - the failing function argument
    `pattern` - format specifier
    `arguments` - format arguments
  Since:
    1.2

### FunctionEvaluationException

    public FunctionEvaluationException(java.lang.Throwable cause,
                                       double[] argument,
                                       java.lang.String pattern,
                                       java.lang.Object... arguments)

  Constructs an exception with specified formatted detail message and root cause. Message formatting is delegated to `MessageFormat`.

  Parameters:
    `cause` - the exception or error that caused this exception to be thrown
    `argument` - the failing function argument
    `pattern` - format specifier
    `arguments` - format arguments
  Since:
    2.0

Method Detail

### getArgument

    public double[] getArgument()

  Returns the function argument that caused this exception.

  Returns:
    argument that caused function evaluation to fail

Copyright (c) 2003-2010 Apache Software Foundation